{% extends "base.html" %}
{% block content %}

<script src="/static/dataTables/jquery.dataTables.min.js"></script>
<script src="/static/dataTables/dataTables.bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/static/dataTables/dataTables.bootstrap.min.css">

<div class="container">

    <div class="row col-md-4">
        <div style="font-size:1.5em">
            {%trans%}User details{%endtrans%}
        </div>
        <hr />
        
        <table class="table table-striped table-condensed">
            <tr>
               <td>{%trans%}Username{%endtrans%}</td>
               <td>{{ user.username }}</td>
            </tr>        
            {% if g.isRootUser %}
                <tr>
                   <td>{%trans%}Hostname{%endtrans%}</td>
                   <td>{{ user.hostname }}</td>
                </tr>
            {% endif %}
            <tr>
               <td>{%trans%}Is Admin{%endtrans%}</td>
               <td>
                   <div id="toggle_admin" class="btn-group btn-toggle">
                    <button id="admin_true" class="btn btn-xs btn-default {% if user.isAdmin() %}btn-success{% endif %}">{%trans%}True{%endtrans%}</button>
                    <button id="admin_false" class="btn btn-xs btn-default {% if not user.isAdmin() %}btn-primary{% endif %}">{%trans%}False{%endtrans%}</button>
                   </div>
                </td>
            </tr>            
            <tr>
               <td>{%trans%}Created{%endtrans%}</td>
               <td>{{ user.data.created }}</td>
            </tr>
            <tr>
               <td>{%trans%}Language{%endtrans%}</td>
               <td>{{ config['LANGUAGES'][user.data.language][0] }}</td>
            </tr>
            <tr>
               <td>{%trans%}Email{%endtrans%}</td>
               <td>{{ user.data.email }}</td>
            </tr>
            <tr>
               <td>{%trans%}Validated email{%endtrans%}</td>
               <td> {% if user.data.validatedEmail %}
                    <span style="color:green">{%trans%}True{%endtrans%}</span>
                    {% else %}
                    <span style="color:red">{%trans%}False{%endtrans%}</span>
                    {% endif %}
                </td>
            </tr>
            <tr>
               <td>{%trans%}Blocked by admin{%endtrans%}</td>
               <td>
                   <div id="toggle_blocked" class="btn-group btn-toggle">
                    <button id="blocked_true" class="btn btn-xs btn-default {% if user.blocked %}btn-success{% endif %}">{%trans%}True{%endtrans%}</button>
                    <button id="blocked_false" class="btn btn-xs btn-default {% if not user.blocked %}btn-primary{% endif %}">{%trans%}False{%endtrans%}</button>
                   </div>
                </td>
            </tr>
        </table>
        {% if g.isAdmin and not user._id == g.current_user._id %}
            {% if user.forms.count() %}
            <input class="btn-danger btn btn-sm" type="button" value="{%trans%}Delete user and authored forms{%endtrans%}" onClick="location.href='/admin/users/delete/{{user._id}}'">
            {% else %}
            <input class="btn-danger btn btn-sm" type="button" value="{%trans%}Delete user{%endtrans%}" onClick="location.href='/admin/users/delete/{{user._id}}'">
            {% endif %}
        {% endif %}

    </div>
    <div class="row col-md-1"></div>
    <div class="row col-md-7">
        <div style="font-size:1.5em;">
        {%trans%}User's forms{%endtrans%}
        </div>
        <hr />
        
    <table id="forms" style="display:none" class="table table-striped table-condensed">
        <thead>
            <tr>
                <th>{%trans%}Name{%endtrans%}</th>
                <th>{%trans%}Created{%endtrans%}</th>
                <th>{%trans%}Author{%endtrans%}</th>
                <th>{%trans%}Editors{%endtrans%}</th>
                <th>{%trans%}Enabled{%endtrans%}</th>
                <th>{%trans%}Entries{%endtrans%}</th>
            </tr>
        </thead>
        
        {% for form in user.forms %}
        <tr>
           <td><a href="/forms/view/{{form._id}}">{{form.slug}}</a></td>
           <td>{{form.created}}</td>
           <td>
                {% if user._id|string == form.author %}
                    {%trans%}True{%endtrans%}
                {% else %}
                    {%trans%}False{%endtrans%}
                {% endif %}
            </td>
           <td>{{form.editors|length}}</td>
           <td>{{form.enabled}}</td>
           <td>{{form.entries|length}}</td>
        </tr>
        {% endfor %}
    </table>
    </div>
</div>


<script>
var csrftoken = "{{ csrf_token() }}";
$(document).ready(function() {
    $('#forms').DataTable({
        "language": {
            "url": "/static/dataTables-languages/{{g.current_user.language}}.js"
        },
        "initComplete": function(settings, json) {
            $("#forms").show();
        },
        "order": [[1, 'desc']]
    });
});
document.getElementById('toggle_blocked').addEventListener('click', function(evt){
    $.ajax({
        url : "/admin/users/toggle-blocked/{{ user._id }}",
        type: "POST",
        dataType: "json",
        beforeSend: function(xhr, settings) {
            if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type)) {
                xhr.setRequestHeader("X-CSRFToken", csrftoken)
            }
        },
        success: function(data, textStatus, jqXHR)
        {
            if (data.blocked == true) {
                $('#blocked_true').addClass('btn-success');
                $('#blocked_false').removeClass('active btn-primary');
            }
            else if (data.blocked == false) {
                $('#blocked_true').removeClass('btn-success');
                $('#blocked_false').addClass('btn-primary');
            }
        }
    });
});
document.getElementById('toggle_admin').addEventListener('click', function(evt){
    $.ajax({
        url : "/admin/users/toggle-admin/{{ user._id }}",
        type: "POST",
        dataType: "json",
        beforeSend: function(xhr, settings) {
            if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type)) {
                xhr.setRequestHeader("X-CSRFToken", csrftoken)
            }
        },
        success: function(data, textStatus, jqXHR)
        {
            if (data.admin == true) {
                $('#admin_true').addClass('btn-success');
                $('#admin_false').removeClass('btn-primary');
            }
            else if (data.admin == false) {
                $('#admin_true').removeClass('btn-success');
                $('#admin_false').addClass('btn-primary');
            }
        }
    });
});
</script>
  
{% endblock %}
